List customers
curl --request GET \
--url https://api.parceltracer.com/v1/external/customers/ \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.parceltracer.com/v1/external/customers/"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.parceltracer.com/v1/external/customers/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2",
"results": [
[
{
"id": 1,
"name": "John Doe",
"phone_number": "+1234567890",
"secondary_phone_number": "",
"email": "john@example.com",
"locations": [
{
"id": 10,
"area": {
"name_en": "Aaiyat",
"name_ar": "عيات",
"lat": 34.53534,
"long": 36.19682,
"district": "Akkar",
"maps_link": "http://maps.google.com/maps?q=34.53534,36.19682"
},
"directions": ""
}
]
},
{
"id": 2,
"name": "Jane Smith",
"phone_number": "+1987654321",
"secondary_phone_number": "",
"email": "jane@example.com",
"locations": []
}
]
]
}Customers
List customers
Retrieve a paginated list of customers.
GET
/
customers
/
List customers
Authorizations
Query Parameters
If true, includes locations data for each customer.
A page number within the paginated result set.
Number of results to return per page.
Filter result by a specific phone number. Given that customer's phone numbers are unique, the result will contain at most a single customer object
⌘I
